"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var lookahead_exports = {};
__export(lookahead_exports, {
  lookahead: () => lookahead
});
module.exports = __toCommonJS(lookahead_exports);
var import_encoder = require("../encoder/encoder");
var import_elements = require("../utils/elements");
function lookahead(sequence) {
  return {
    type: "lookahead",
    children: (0, import_elements.ensureArray)(sequence),
    encode: encodeLookahead
  };
}
function encodeLookahead() {
  return {
    precedence: "atom",
    pattern: `(?=${(0, import_encoder.encodeSequence)(this.children).pattern})`
  };
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  lookahead
});
//# sourceMappingURL=lookahead.js.map