import { encodeSequence } from "../encoder/encoder";
import { ensureArray } from "../utils/elements";
function lookbehind(sequence) {
  return {
    type: "lookbehind",
    children: ensureArray(sequence),
    encode: encodeLookbehind
  };
}
function encodeLookbehind() {
  return {
    precedence: "atom",
    pattern: `(?<=${encodeSequence(this.children).pattern})`
  };
}
export {
  lookbehind
};
//# sourceMappingURL=lookbehind.mjs.map