import { encodeSequence } from "../encoder/encoder";
import { ensureArray } from "../utils/elements";
function negativeLookbehind(sequence) {
  return {
    type: "negativeLookbehind",
    children: ensureArray(sequence),
    encode: encodeNegativeLookbehind
  };
}
function encodeNegativeLookbehind() {
  return {
    precedence: "atom",
    pattern: `(?<!${encodeSequence(this.children).pattern})`
  };
}
export {
  negativeLookbehind
};
//# sourceMappingURL=negative-lookbehind.mjs.map