import { RegexConstruct, RegexElement, RegexSequence } from '../types.mjs';
import '../encoder/types.mjs';

interface Regex extends RegexConstruct {
    type: 'sequence';
    children: RegexElement[];
}
declare function regex(sequence: RegexSequence): Regex;

export { type Regex, regex };
