import { RegexConstruct, RegexElement, RegexSequence } from '../types.js';
import '../encoder/types.js';

interface Regex extends RegexConstruct {
    type: 'sequence';
    children: RegexElement[];
}
declare function regex(sequence: RegexSequence): Regex;

export { type Regex, regex };
