export { ArrayOrSingle, RegexConstruct, RegexElement, RegexFlags, RegexSequence } from './types.mjs';
export { CaptureOptions, capture, ref } from './constructs/capture.mjs';
export { QuantifierOptions, oneOrMore, optional, zeroOrMore } from './constructs/quantifiers.mjs';
export { RepeatOptions, repeat } from './constructs/repeat.mjs';
export { buildPattern, buildRegExp } from './builders.mjs';
export { endOfString, nonWordBoundary, notWordBoundary, startOfString, wordBoundary } from './constructs/anchors.mjs';
export { any, anyOf, charClass, charRange, digit, inverted, negated, nonDigit, nonWhitespace, nonWord, notDigit, notWhitespace, notWord, whitespace, word } from './constructs/character-class.mjs';
export { choiceOf } from './constructs/choice-of.mjs';
export { lookahead } from './constructs/lookahead.mjs';
export { lookbehind } from './constructs/lookbehind.mjs';
export { negativeLookahead } from './constructs/negative-lookahead.mjs';
export { negativeLookbehind } from './constructs/negative-lookbehind.mjs';
export { regex } from './constructs/regex.mjs';
import './encoder/types.mjs';
