export { ArrayOrSingle, RegexConstruct, RegexElement, RegexFlags, RegexSequence } from './types.js';
export { CaptureOptions, capture, ref } from './constructs/capture.js';
export { QuantifierOptions, oneOrMore, optional, zeroOrMore } from './constructs/quantifiers.js';
export { RepeatOptions, repeat } from './constructs/repeat.js';
export { buildPattern, buildRegExp } from './builders.js';
export { endOfString, nonWordBoundary, notWordBoundary, startOfString, wordBoundary } from './constructs/anchors.js';
export { any, anyOf, charClass, charRange, digit, inverted, negated, nonDigit, nonWhitespace, nonWord, notDigit, notWhitespace, notWord, whitespace, word } from './constructs/character-class.js';
export { choiceOf } from './constructs/choice-of.js';
export { lookahead } from './constructs/lookahead.js';
export { lookbehind } from './constructs/lookbehind.js';
export { negativeLookahead } from './constructs/negative-lookahead.js';
export { negativeLookbehind } from './constructs/negative-lookbehind.js';
export { regex } from './constructs/regex.js';
import './encoder/types.js';
