"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var anchors_exports = {};
__export(anchors_exports, {
  endOfString: () => endOfString,
  nonWordBoundary: () => nonWordBoundary,
  notWordBoundary: () => notWordBoundary,
  startOfString: () => startOfString,
  wordBoundary: () => wordBoundary
});
module.exports = __toCommonJS(anchors_exports);
const startOfString = {
  type: "anchor",
  symbol: "^",
  encode: encodeAnchor
};
const endOfString = {
  type: "anchor",
  symbol: "$",
  encode: encodeAnchor
};
const wordBoundary = {
  type: "anchor",
  symbol: "\\b",
  encode: encodeAnchor
};
const nonWordBoundary = {
  type: "anchor",
  symbol: "\\B",
  encode: encodeAnchor
};
const notWordBoundary = nonWordBoundary;
function encodeAnchor() {
  return {
    precedence: "sequence",
    pattern: this.symbol
  };
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  endOfString,
  nonWordBoundary,
  notWordBoundary,
  startOfString,
  wordBoundary
});
//# sourceMappingURL=anchors.js.map