const startOfString = {
  type: "anchor",
  symbol: "^",
  encode: encodeAnchor
};
const endOfString = {
  type: "anchor",
  symbol: "$",
  encode: encodeAnchor
};
const wordBoundary = {
  type: "anchor",
  symbol: "\\b",
  encode: encodeAnchor
};
const nonWordBoundary = {
  type: "anchor",
  symbol: "\\B",
  encode: encodeAnchor
};
const notWordBoundary = nonWordBoundary;
function encodeAnchor() {
  return {
    precedence: "sequence",
    pattern: this.symbol
  };
}
export {
  endOfString,
  nonWordBoundary,
  notWordBoundary,
  startOfString,
  wordBoundary
};
//# sourceMappingURL=anchors.mjs.map