import { RegexConstruct, RegexElement, RegexSequence } from '../types.js';
import '../encoder/types.js';

interface ChoiceOf extends RegexConstruct {
    type: 'choiceOf';
    alternatives: RegexElement[][];
}
declare function choiceOf(...alternatives: RegexSequence[]): ChoiceOf;

export { type ChoiceOf, choiceOf };
