import { encodeSequence } from "../encoder/encoder";
import { ensureArray } from "../utils/elements";
function lookahead(sequence) {
  return {
    type: "lookahead",
    children: ensureArray(sequence),
    encode: encodeLookahead
  };
}
function encodeLookahead() {
  return {
    precedence: "atom",
    pattern: `(?=${encodeSequence(this.children).pattern})`
  };
}
export {
  lookahead
};
//# sourceMappingURL=lookahead.mjs.map