/**
 * Encoded regex pattern with information about its type (atom, sequence)
 */
interface EncodeResult {
    precedence: EncodePrecedence;
    pattern: string;
}
type EncodePrecedence = 'atom' | 'sequence' | 'disjunction';

export type { EncodePrecedence, EncodeResult };
