"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var src_exports = {};
__export(src_exports, {
  any: () => import_character_class.any,
  anyOf: () => import_character_class.anyOf,
  buildPattern: () => import_builders.buildPattern,
  buildRegExp: () => import_builders.buildRegExp,
  capture: () => import_capture.capture,
  charClass: () => import_character_class.charClass,
  charRange: () => import_character_class.charRange,
  choiceOf: () => import_choice_of.choiceOf,
  digit: () => import_character_class.digit,
  endOfString: () => import_anchors.endOfString,
  inverted: () => import_character_class.inverted,
  lookahead: () => import_lookahead.lookahead,
  lookbehind: () => import_lookbehind.lookbehind,
  negated: () => import_character_class.negated,
  negativeLookahead: () => import_negative_lookahead.negativeLookahead,
  negativeLookbehind: () => import_negative_lookbehind.negativeLookbehind,
  nonDigit: () => import_character_class.nonDigit,
  nonWhitespace: () => import_character_class.nonWhitespace,
  nonWord: () => import_character_class.nonWord,
  nonWordBoundary: () => import_anchors.nonWordBoundary,
  notDigit: () => import_character_class.notDigit,
  notWhitespace: () => import_character_class.notWhitespace,
  notWord: () => import_character_class.notWord,
  notWordBoundary: () => import_anchors.notWordBoundary,
  oneOrMore: () => import_quantifiers.oneOrMore,
  optional: () => import_quantifiers.optional,
  ref: () => import_capture.ref,
  regex: () => import_regex.regex,
  repeat: () => import_repeat.repeat,
  startOfString: () => import_anchors.startOfString,
  whitespace: () => import_character_class.whitespace,
  word: () => import_character_class.word,
  wordBoundary: () => import_anchors.wordBoundary,
  zeroOrMore: () => import_quantifiers.zeroOrMore
});
module.exports = __toCommonJS(src_exports);
var import_builders = require("./builders");
var import_anchors = require("./constructs/anchors");
var import_capture = require("./constructs/capture");
var import_character_class = require("./constructs/character-class");
var import_choice_of = require("./constructs/choice-of");
var import_lookahead = require("./constructs/lookahead");
var import_lookbehind = require("./constructs/lookbehind");
var import_negative_lookahead = require("./constructs/negative-lookahead");
var import_negative_lookbehind = require("./constructs/negative-lookbehind");
var import_quantifiers = require("./constructs/quantifiers");
var import_regex = require("./constructs/regex");
var import_repeat = require("./constructs/repeat");
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  any,
  anyOf,
  buildPattern,
  buildRegExp,
  capture,
  charClass,
  charRange,
  choiceOf,
  digit,
  endOfString,
  inverted,
  lookahead,
  lookbehind,
  negated,
  negativeLookahead,
  negativeLookbehind,
  nonDigit,
  nonWhitespace,
  nonWord,
  nonWordBoundary,
  notDigit,
  notWhitespace,
  notWord,
  notWordBoundary,
  oneOrMore,
  optional,
  ref,
  regex,
  repeat,
  startOfString,
  whitespace,
  word,
  wordBoundary,
  zeroOrMore
});
//# sourceMappingURL=index.js.map